# Function get

- get(collectionId, admin?): Promise<CollectionResponse>

- Retrieves a single Collection by its ID.

  #### Parameters

  - collectionId: string

    – Identifier of the collection

  - `Optional` admin: boolean

    – If true, fetches from the admin endpoint

  #### Returns Promise<CollectionResponse>

  Promise resolving to a CollectionResponse object

  #### Throws

  ErrorResponse if the request fails

  - Defined in api/collection.ts:13